package com.hfkj.service.rebate;

import com.hfkj.entity.BsRebateActivity;
import com.hfkj.sysenum.RebateActivityEndTypeEnum;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @className: BsRebateActivityService
 * @author: HuRui
 * @date: 2023/10/17
 **/
public interface BsRebateActivityService {

    /**
     * 编辑数据
     * @param rebateActivity
     */
    void editData(BsRebateActivity rebateActivity);

    /**
     * 开启活动
     * @param activityNo 活动编号
     */
    void openActivity(String activityNo);

    /**
     * 关闭活动
     * @param activityNo 活动编号
     */
    void closeActivity(String activityNo, RebateActivityEndTypeEnum rebateActivityEndTypeEnum);

    /**
     * 修改活动结束时间
     * @param activityNo 活动编号
     * @param newEndTime 新结束时间
     */
    void updateActivityEndTime(String activityNo, Date newEndTime);

    /**
     * 查询活动
     * @param activityNo 活动编号
     * @return
     */
    BsRebateActivity getActivityByNo(String activityNo);

    /**
     * 获取商户当前活动
     * @param merNo
     * @return
     */
    BsRebateActivity getMerCurrentActivity(String merNo);

    /**
     * 查询活动列表
     * @param param
     * @return
     */
    List<BsRebateActivity> getActivityList(Map<String,Object> param);


}
